Subject: Re: bug#69795: 29.1; cmdproxy.exe exits automatically after executing MSYS2 commands

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Mar 2024 14:49:17 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Fri, 15 Mar 2024 21:10:06 +0900
> 
> > Doesn't MSYS2 provide a MinGW64 build of GDB, not just an MSYS build?
> > GDB builds natively with MinGW tools, so there should be no problem
> > for MSYS2 folks to provide a native 64-bit Windows build of GDB.
> 
> I have installed mingw64/mingw-w64-x86_64-gdb.
> I think it is MinGW64 binary.

Yes.  But then all the discussion around MSYS2 programs is not
relevant to this issue.

> But gdb.exe sometimes make cmdproxy.exe exit, and sometimes not.

So let's start from the beginning: can you show a recipe, starting
from "emacs -Q", where you invoke GDB from Emacs, and cmdproxy (or
some other sub-process) exits?

Also, did you look at this discussion to which I pointed:

    https://lists.gnu.org/archive/html/emacs-devel/2023-01/msg00242.html

It's possible that the process-send-eof mentioned there is somehow
involved in what you see.

> Here is a list of gdb packages.

That's a large list.  Are you using GDB for debugging native Windows
programs, or are you using it for debugging other executables (like
ARM or AVR) via gdbserver?  Which of these packages do you actually
have installed and are using?

> msys/cgdb 0.8.0-2
>     Curses-based interface to the GNU Debugger
> msys/gdb 13.2-1
>     GNU Debugger (MSYS2 version)

These two are MSYS2 builds, not native MinGW builds.